net.sf.jasperreports.engine.design

## Class JRDesignDatasetParameter

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseDatasetParameter
  - - net.sf.jasperreports.engine.design.JRDesignDatasetParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRDatasetParameter
  Direct Known Subclasses:
    JRDesignSubreportParameter

      public class JRDesignDatasetParameter
      extends JRBaseDatasetParameter
      implements JRChangeEventsSupport

  Implementation of `JRDatasetParameter` used at design time.
  Version:
    $Id: JRDesignDatasetParameter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_EXPRESSION`
    `static java.lang.String` | `PROPERTY_NAME`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetParameter

      `expression, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignDatasetParameter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `void` | `setExpression(JRExpression expression)`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseDatasetParameter

      `getExpression, getName`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_EXPRESSION

          public static final java.lang.String PROPERTY_EXPRESSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignDatasetParameter

          public JRDesignDatasetParameter()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setExpression

          public void setExpression(JRExpression expression)

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseDatasetParameter`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com